## 🚀 Summary

<!--
Explain what this PR does and why it matters.
Keep it short and focused.
-->

Closes #...

---

## 🔧 Type of change

<!-- Check the relevant boxes and update your PR title to follow Conventional Commits -->

- [ ] **feat**: A new feature
- [ ] **fix**: A bug fix
- [ ] **docs**: Documentation only changes
- [ ] **style**: Formatting, missing semi colons, etc
- [ ] **refactor**: Refactoring (no functional changes)
- [ ] **perf**: A code change that improves performance
- [ ] **test**: Adding or fixing tests
- [ ] **chore**: Maintenance and tooling
- [ ] **ci**: Changes to CI/CD configuration

---

## ✅ Checklist

- [ ] PR title uses [Conventional Commits](https://www.conventionalcommits.org/)
- [ ] Tests added or updated (if applicable)
- [ ] Documentation updated (if applicable)
- [ ] I have verified this builds and works as intended
- [ ] I’m ready for review!

---

## 🧪 Testing

<!--
Explain how you tested your changes.
List commands, CI results, or screenshots if helpful.
-->

---

## 📦 Release impact

> semantic-release will determine version bump automatically.

- [ ] BREAKING CHANGE (explain in footer below)
- [ ] This should trigger a **patch** release
- [ ] This should trigger a **minor** release
- [ ] This is internal only — no release needed

If this is a breaking change, explain why below.

---

## 📓 Notes for reviewer

<!--
Optional: anything you'd like the reviewer to focus on, be aware of, or follow up later.
-->
